%define	major		4
%define libname		%mklibname osptk %{major}
%define develname	%mklibname osptk -d

Summary:	The OSP Toolkit(tm)
Name:		osptoolkit
Version:	4.13.0
Release:	%mkrel 6
License:	BSD-like
Group:		System/Libraries
URL:		https://sourceforge.net/projects/osp-toolkit
Source0:	https://downloads.sourceforge.net/osp-toolkit/OSPToolkit-%{version}.tar.gz
Source1:	Makefile
Patch0:		osptoolkit_3.4.2-1.diff
# from upstream svn: some fixes needed for openssl 1.1
# https://sourceforge.net/p/osp-toolkit/code/800/
Patch1:		osptoolkit-4.14-r800.patch
# from upstream svn: support for openssl 1.1
# https://sourceforge.net/p/osp-toolkit/code/801/
Patch2:		osptoolkit-4.14-openssl11.patch
BuildRequires:	pkgconfig(openssl)
BuildRequires:	libtool

%description
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.

%package -n	%{libname}
Summary:	The OSP Toolkit(tm) shared library
Group:          System/Libraries

%description -n	%{libname}
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.

%package -n	%{develname}
Summary:	Static library and header files for the libosp library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libosp-devel = %{version}
Provides:	osp-devel = %{version}
Provides:	osptk-devel = %{version}

%description -n	%{develname}
The OSP Toolkit is a complete development kit for software developers who want
to implement the client side of the European Telecommunication Standards
Institute's (ETSI) Open Settlement Protocol. The OSP Toolkit includes source
code written in ANSI C, test tools and extensive documentation on how to
implement OSP. A hosted OSP test server is freely available on the Internet for
all developers to test their OSP implementation.

This package contains the static libosp library and its header files.

%package -n	osp-tools
Summary:	Various utilities for the libosptk library
Group:		System/Servers

%description -n	osp-tools
This package contains various utilities utilizing the libosptk library.

%prep

%setup -q -n TK-4_13_0-20161107
%patch -P 0 -p1
%patch -P 1 -p0 -b .r800
%patch -P 2 -p0 -b .r801

install -m0644 %{SOURCE1} Makefile

# lib64 fix
find -name "Makefile" | xargs perl -pi -e "s|/usr/lib|%{_libdir}|g"
find -name "Makefile" | xargs perl -pi -e "s|/lib\b|/%{_lib}|g"

%build

%make_build build VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build enroll VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build test VERSION="%{version}" MAJOR="%{major}" ADDFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/pkgconfig
install -d %{buildroot}%{_includedir}/osp

libtool --mode=install install -m0755 lib/libosptk.la %{buildroot}%{_libdir}/libosptk.la
libtool --mode=install install -m0755 bin/test_app %{buildroot}%{_bindir}/osp-test_app
libtool --mode=install install -m0755 bin/enroll %{buildroot}%{_bindir}/osp-enroll

install -m0644 include/osp/*.h %{buildroot}%{_includedir}/osp/
install -m0644 debian/libosptk*.pc %{buildroot}%{_libdir}/pkgconfig/libosptk.pc

rm -f %{buildroot}%{_libdir}/*.*a

%files -n %{libname}
%doc LICENSE.txt README.txt RELNOTES.txt debian/osptoolkit.txt
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc test/nonblocking.[ch]
%{_includedir}/osp
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n osp-tools
%doc bin/enroll.sh bin/test.cfg bin/openssl.cnf bin/.rnd
%{_bindir}/osp-test_app
%{_bindir}/osp-enroll


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 4.13.0-6.mga10
+ Revision: 2128007
- Rebuild for patchN deprecation

* Thu Mar 17 2022 umeabot <umeabot> 4.13.0-5.mga9
+ Revision: 1796580
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.13.0-4.mga9
+ Revision: 1747937
- rebuild for openssl 3.0.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Mar 05 2020 umeabot <umeabot> 4.13.0-3.mga8
+ Revision: 1554013
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 4.13.0-2.mga7
+ Revision: 1300072
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 cjw <cjw> 4.13.0-1.mga7
+ Revision: 1151960
- 4.13.0
- add two changesets from upstream svn to fix build with openssl 1.1
- partially sync Makefile with debian

* Thu Mar 03 2016 umeabot <umeabot> 4.8.2-3.mga6
+ Revision: 983881
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 oden <oden> 4.8.2-1.mga6
+ Revision: 903616
- 4.8.2

* Sat Sep 19 2015 dlucio <dlucio> 4.0.3-6.mga6
+ Revision: 881625
- little filelist fix

* Wed Oct 15 2014 umeabot <umeabot> 4.0.3-5.mga5
+ Revision: 741164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.3-4.mga5
+ Revision: 683283
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.0.3-3.mga4
+ Revision: 508808
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.0.3-2.mga3
+ Revision: 362241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 oden <oden> 4.0.3-1.mga3
+ Revision: 297546
- imported package osptoolkit

